Skip to content

Get currently active event markers (date <= now <= endDate)

GET
/event-markers/active
curl --request GET \
--url https://api.ethos.network/api/v2/event-markers/active

Successful response

Media typeapplication/json
Array<object>
object
id
required
number
date
required
string
description
required
string
endDate
required
string | null
header
required
string | null
linkLabel
required
string | null
linkUrl
required
string | null
tagText
required
string | null
tagUrl
required
string | null
createdAt
required
string
updatedAt
required
string

Example generated

[
{
"id": 1,
"date": "example",
"description": "example",
"endDate": "example",
"header": "example",
"linkLabel": "example",
"linkUrl": "example",
"tagText": "example",
"tagUrl": "example",
"createdAt": "example",
"updatedAt": "example"
}
]

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}